package com.qianhe.zqcz.jcdw.mapper;

import com.qianhe.common.annotation.DataScope;
import com.qianhe.zqcz.jcdw.domain.ZqczJcdw;
import com.qianhe.zqcz.jcdw.domain.ZqczJcdwQuery;
import com.qianhe.zqcz.jcdw.domain.ZqczJcdwVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface ZqczJcdwMapper {
    /**
     * 分页查询
     */
    List<ZqczJcdwVo> list(ZqczJcdwQuery zqczJcdwQuery);

    /**
     * 查询详情
     */
    ZqczJcdwVo info(Long jcdwid);

    /**
     * 新增
     */
    int add(ZqczJcdw zqczJcdw);

    /**
     * 修改
     */
    int edit(ZqczJcdw zqczJcdw);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 批量新增
     */
    int batchAdd(List<ZqczJcdw> list);

    /**
     * 通过直属任务ID删除
     */
    int deleteByZsrwid(Long zsrwid);
}
